<?xml version="1.0" encoding="UTF-8"?>
<openerp>
    <data>
        <!--Children Takers Tree view-->
        <record id="view_tree_mohafaza_children_takers" model="ir.ui.view">
             <field name="name">Mohafaza Children Takers Tree</field>
             <field name="model">mohafaza.children.takers</field>
             <field name="arch" type="xml">
                 <tree editable="top">
                     <field name="name"/>
                     <field name="relative"/>
                     <field name="cell_phone"/>
                 </tree>
             </field>
         </record>
        <!--Children Tree view-->
        <record id="view_tree_mohafaza_children" model="ir.ui.view">
             <field name="name">Mohafaza Children Tree</field>
             <field name="model">mohafaza.children</field>
             <field name="arch" type="xml">
                 <tree>
                     <field name="name"/>
                     <field name="class_room"/>
                     <field name="birth_date"/>
                 </tree>
             </field>
         </record>

         <!--Children Form view-->
         <record id="view_form_mohafaza_children" model="ir.ui.view">
             <field name="name">Mohafaza Children Form</field>
             <field name="model">mohafaza.children</field>
             <field name="arch" type="xml">
                 <form string="اﻷطفال">
                     <sheet>
                         <div class="oe_title">
                             <label for="name" class="oe_edit_only"/>
                             <h1><field name="name"/></h1>
                             <label for="class_room" class="oe_edit_only"/>
                             <h2><field name="class_room"/></h2>
                         </div>
                         <notebook colspan="6">
                             <page string="معلومات عامة">
                                 <group name="group_top">
                                     <group name="group_right">
                                         <field name="guardian_id"/>
                                         <field name="guardian_relative"/>
                                         <field name="mother_id"/>
                                     </group>
                                     <group name="group_left">
                                         <field name="birth_date"/>
                                         <field name="sibling_num"/>
                                         <field name="child_order"/>
                                     </group>
                                 </group>
                                 <label for="taker_ids"/>
                                 <field name="taker_ids"/>
                             </page>
                             <page string="معلومات عن شخصية الطفل">
                                 <group name="group_top">
                                     <group name="group_right">
                                         <field name="fav_color"/>
                                         <field name="fav_name"/>
                                         <field name="fav_game"/>
                                         <field name="hobby"/>
                                     </group>
                                     <group name="group_left">
                                         <field name="strangers"/>
                                         <field name="other_children"/>
                                    </group>
                                </group>
                                <group name="group_bottom">
                                     <field name="good_manners"/>
                                     <field name="bad_manners"/>
                                </group>
                             </page>
                             <page string="معلومات صحية">
                                 <group>
                                     <field name="emergency"/>
                                </group>
                                <group>
                                    <field name="diseases"/>
                                    <field name="vulnerability"/>
                                    <field name="drugs"/>
                                </group>
                             </page>
                             <page string="معلومات عن الحضانة">
                                 <group>
                                     <field name="why_us"/>
                                     <field name="how_find"/>
                                     <field name="expectation"/>
                                 </group>
                             </page>
                         </notebook>
                         <hr/>
                         <h2>الإشتراكات : </h2>
                         <notebook colspan="6">
                             <page string="إشتراكات الحضانة">
                                 <field name="kindergarten_fees_ids"  attrs="{'readonly':1}"/>
                             </page>
                             <page string="إشتراكات الباص">
                                 <field name="bus_fees_ids"  attrs="{'readonly':1}"/>
                             </page>
                         </notebook>
                     </sheet>
                 </form>
             </field>
         </record>

         <!--Children Attendance Form view-->
         <record id="view_form_mohafaza_children_attend" model="ir.ui.view">
             <field name="name">Mohafaza Children Attendance Form</field>
             <field name="model">mohafaza.children.attend</field>

             <field name="arch" type="xml">
                 <form string="Children Attendance">
                     <header>
                         <!--Buttons-->

                     </header>
                     <sheet>
                         <group>
                             <field name="day"/>
                             <field name="child_id"/>
                             <field name="is_attend"/>
                         </group>
                     </sheet>
                 </form>
             </field>
         </record>

         <!-- Children Attendance Tree View -->
         <record id="view_tree_mohafaza_children_attend" model="ir.ui.view">
             <field name="name">Mohafaza Children Attendance Tree</field>
             <field name="model">mohafaza.children.attend</field>
             <field name="arch" type="xml">
                 <tree editable="top">
                     <field name="child_id"/>
                     <field name="day"/>
                     <field name="is_attend"/>
                 </tree>
             </field>
         </record>

         <!-- Children Attendance Today Search-->
         <record id="view_filter_mohafaza_children_attend" model="ir.ui.view">
             <field name="name">حضور اليوم</field>
             <field name="model">mohafaza.children.attend</field>
             <field name="arch" type="xml">
                 <search>
                     <field name="child_id" />
                     <filter name="today_filter"  string="اليوم"
                             domain="[('day','=',context_today().strftime('%Y-%m-%d'))]"/>
                 </search>
             </field>
         </record>
    </data>
</openerp>
